var _showPriceBack=function(ret){
	if(ret=="-1"){
		$("#selectinfo").html("<span style='color:#FF0000'>没有查询到帐号信息，请重新登录</span>");
		}else if((parseInt(ret)||0)<nPrice){
			$("#selectinfo").html("<span style='color:#FF0000'>您的当前余额"+ret+"元，无法购买"+nPrice+"元的产品，请先充值</span>");
			}else{
				$("#selectinfo").html("当前余额"+ret+"，可以购买");
				}
	}
var _showPrice=function(){
	getPost("/api/llsapi.asp?apiAction=api_userMoney","","_showPriceBack");
	}
var _buy=function(ret){
				$("#newbutton").val("提交");
				$("#newbutton").prop("disabled",false);	
	if(ret=="ok"){alert("修改成功");
		window.location.href='Pay.asp?id='+xxid;
		}else{alert(ret);}
	}
$(function(){
		$("#newbutton").prop("disabled",false);
		$("#newform1").submit(function(){
				var obj=$(this);
				var isRun=true;
				var sDomain=obj.find("#sDomain").val();
				if(sDomain.replace(/([(a-zA-Z0-9)+]|[:\/\/]|\.)/ig,"")!=""||sDomain==""){
					obj.find("#sDomain").focus();
					alert("请输入标准的域名");
					isRun=false;
					return false;
					}
				var FTP=obj.find("#FTP").val();
				if(FTP.replace(/[(a-zA-Z0-9)+]/ig,"")!=""||FTP==""){
					obj.find("#FTP").focus();
					alert("FTP帐号只能包含大小写字母及数字");
					isRun=false;
					return false;					
					}
				var FTPPass=obj.find("#FTPPass").val();
				if(FTPPass.replace(/[(a-zA-Z0-9)+]/ig,"")!=""||FTPPass==""){
					obj.find("#FTPPass").focus();
					alert("FTP帐号只能包含大小写字母及数字");
					isRun=false;
					return false;					
					}
				var PostStr="1=1";
				obj.find("input,select").each(function(){
						var name=$(this).attr("name");
						var Val=$(this).val()||"";
						if(Val!="") Val=escape(Val);
						PostStr+="&"+name+"="+Val;
						});
				$("#newbutton").val("提交中，请不要刷新当前页面，以防提交失败");
				$("#newbutton").prop("disabled",true);
				getPost("/user/api_buy.asp?xid="+xid,PostStr,"_buy")
				return false;
									   });
				_showPrice();
				$("#newform1 #select").change(function(){
					_showPrice();									
														});
		   })